oasis.names.tc.dss._1_0.core.schema

## Class SignaturePtr

- java.lang.Object
- - oasis.names.tc.dss._1_0.core.schema.SignaturePtr

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-03-20T11:15:35+01:00",
                 comments="JAXB RI v2.3.7")
      public class SignaturePtr
      extends Object
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="WhichDocument" type="{http://www.w3.org/2001/XMLSchema}IDREF" />
             <attribute name="XPath" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignaturePtr()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getWhichDocument()` Gets the value of the whichDocument property.
    `String` | `getXPath()` Gets the value of the xPath property.
    `void` | `setWhichDocument(Object value)` Sets the value of the whichDocument property.
    `void` | `setXPath(String value)` Sets the value of the xPath property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SignaturePtr

          public SignaturePtr()

  - ### Method Detail

    - #### getWhichDocument

          public Object getWhichDocument()

      Gets the value of the whichDocument property.
      Returns:
        possible object is `Object`

    - #### setWhichDocument

          public void setWhichDocument(Object value)

      Sets the value of the whichDocument property.
      Parameters:
        `value` - allowed object is `Object`

    - #### getXPath

          public String getXPath()

      Gets the value of the xPath property.
      Returns:
        possible object is `String`

    - #### setXPath

          public void setXPath(String value)

      Sets the value of the xPath property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.7.3 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.